local addon = "PartyFramesImproved"

local frame = CreateFrame("Frame", addon .. "ConfigFrame", UIParent)
frame.name = addon
frame:Hide()
frame:SetScript("OnShow", function(frame)
    local title = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
    title:SetPoint("TOP", 0, -16)
    title:SetText("PartyFramesImproved_2")

    local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOP", title, "BOTTOM", 0, -8)
    -- subtitle:SetPoint("RIGHT", frame, 0, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("Settings")

    local slider1 = CreateFrame("Slider", addon .. "ConfigMoveSlider", frame, "OptionsSliderTemplate")
    slider1:SetPoint("TOP", subtitle, "BOTTOM", 0, -60)
    slider1:SetMinMaxValues(-200, 0)
    slider1:SetValueStep(10)
    slider1.text = _G[slider1:GetName() .. "Text"]
    slider1.low = _G[slider1:GetName() .. "Low"]
    slider1.high = _G[slider1:GetName() .. "High"]
    slider1.text:SetText("Vertical Position")
    slider1.low:SetText("Down")
    slider1.high:SetText("Up")
    slider1.tooltipText = ("This will move the party frames up and down")
	slider1:SetValue(characterSettings["PartyMemberFrame1Y"])
	slider1:SetScript("OnValueChanged", function(self, value)
		PartyFramesImproved_SetPartyFrameY(value)
	end)

	local slider2 = CreateFrame("Slider", addon .. "ConfigScaleSlider", frame, "OptionsSliderTemplate")
    slider2:SetPoint("TOP", subtitle, "BOTTOM", 0, -120)
    slider2:SetMinMaxValues(0.4, 3)
    slider2:SetValueStep(0.1)
    slider2.text = _G[slider2:GetName() .. "Text"]
    slider2.low = _G[slider2:GetName() .. "Low"]
    slider2.high = _G[slider2:GetName() .. "High"]
    slider2.text:SetText("Scale")
    slider2.low:SetText("Small")
    slider2.high:SetText("Large")
    slider2.tooltipText = ("This scale the party frames")
    slider2:SetScript("OnValueChanged", function(self, value)
		PartyFramesImproved_SetPartyFrameScale(value)
    end)

	local Button1 = CreateFrame("Button", addon .. "ResetButton", frame, "OptionsButtonTemplate")
	Button1:SetPoint("TOP", subtitle, "BOTTOM", 0, -180)
	Button1.text = _G[Button1:GetName() .. "Text"]
	Button1.text:SetText("Reset")
	Button1.tooltipText = ("This will reset the party frames to original settings")
	Button1:SetScript("OnClick", function()
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
		StaticPopup_Show("PFI_LAYOUT_RESET")
	end)
	
    local Refresh;
    function Refresh()
        if not frame:IsVisible() then return end
        slider1:SetValue(characterSettings["PartyMemberFrame1Y"])
		slider2:SetValue(characterSettings["partyscale"])
    end

    frame:SetScript("OnShow", Refresh) 
    Refresh()
end)

InterfaceOptions_AddCategory(frame)